<!DOCTYPE html>
<html
        xmlns:th="http://www.thymeleaf.org"
        xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
        layout:decorate="~{layouts/public.html}"
>
<head>
    <title layout:title-pattern="$CONTENT_TITLE - $LAYOUT_TITLE">Home</title>
</head>
<body layout:fragment="content">
<!-- toggle theme btn -->
<button
        id="toggle-theme"
        class="absolute z-50 right-0 top-0 bottom-0 my-auto h-24 w-9 shadow-lg rounded-tl-lg rounded-bl-lg bg-white dark:bg-gray-900 text-gray-400 hover:bg-gray-100 dark:hover:bg-gray-700 focus:outline-none focus:ring-4 focus:ring-gray-200 dark:focus:ring-gray-700 text-sm"
>
    <div id="theme-toggle-dark-icon" class="flex flex-col items-center">
        <svg
                class="w-5 h-5 mb-2"
                aria-hidden="true"
                xmlns="http://www.w3.org/2000/svg"
                width="24"
                height="24"
                fill="none"
                viewBox="0 0 24 24"
        >
            <path
                    stroke="currentColor"
                    stroke-linecap="round"
                    stroke-linejoin="round"
                    stroke-width="2"
                    d="M12 21a9 9 0 0 1-.5-17.986V3c-.354.966-.5 1.911-.5 3a9 9 0 0 0 9 9c.239 0 .254.018.488 0A9.004 9.004 0 0 1 12 21Z"
            />
        </svg>
        <span class="rotate-90">Dark</span>
    </div>
    <div
            id="theme-toggle-light-icon"
            class="flex flex-col items-center gap-1"
    >
        <svg
                class="w-5 h-5 mb-2"
                aria-hidden="true"
                xmlns="http://www.w3.org/2000/svg"
                width="24"
                height="24"
                fill="none"
                viewBox="0 0 24 24"
        >
            <path
                    stroke="currentColor"
                    stroke-linecap="round"
                    stroke-linejoin="round"
                    stroke-width="2"
                    d="M12 5V3m0 18v-2M7.05 7.05 5.636 5.636m12.728 12.728L16.95 16.95M5 12H3m18 0h-2M7.05 16.95l-1.414 1.414M18.364 5.636 16.95 7.05M16 12a4 4 0 1 1-8 0 4 4 0 0 1 8 0Z"
            />
        </svg>
        <span class="rotate-90">Light</span>
    </div>
</button>
<div class="container mx-auto px-4">
    <div
            class="flex flex-col items-center justify-center py-9 mx-auto md:h-screen lg:py-0"
    >
        <div class="grid grid-cols-12 gap-6 items-center">
            <div class="col-span-12 lg:col-span-6">
                <a th:href="@{'/'}" class="inline-flex items-center mb-10">
                    <img
                            th:src="@{'/img/logo-icon.svg'}"
                            class="h-14 mr-3"
                            alt="Smile Logo"
                    />
                    <p class="text-5xl font-semibold text-gray-900 dark:text-white">
                        SMILE
                    </p>
                </a>
                <h1
                        class="text-4xl sm:text-5xl font-semibold sm:leading-tight text-gray-800 dark:text-gray-200"
                >
                    Selamat Datang di Aplikasi
                    <span class="text-orange-400">Smile Tazkia.</span>
                </h1>
                <p class="mt-4 text-xl text-gray-600 dark:text-gray-400 mb-12">
                    Smile adalah aplikasi manajemen sistem informasi akademik yang
                    dikembangkan oleh kampus tazkia
                </p>

                <!-- login button -->
                <div class="flex justify-center sm:justify-start">
                    <a
                            th:href="@{/oauth2/authorization/google}"
                            class="flex items-center justify-center gap-2 w-fit text-white bg-blue-700 hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 font-medium rounded-lg text-base px-5 py-3 text-center dark:bg-blue-600 dark:hover:bg-blue-700 dark:focus:ring-blue-800"
                    >
                        <svg
                                class="w-5 h-5"
                                aria-hidden="true"
                                xmlns="http://www.w3.org/2000/svg"
                                width="24"
                                height="24"
                                fill="currentColor"
                                viewBox="0 0 24 24"
                        >
                            <path
                                    fill-rule="evenodd"
                                    d="M12.037 21.998a10.313 10.313 0 0 1-7.168-3.049 9.888 9.888 0 0 1-2.868-7.118 9.947 9.947 0 0 1 3.064-6.949A10.37 10.37 0 0 1 12.212 2h.176a9.935 9.935 0 0 1 6.614 2.564L16.457 6.88a6.187 6.187 0 0 0-4.131-1.566 6.9 6.9 0 0 0-4.794 1.913 6.618 6.618 0 0 0-2.045 4.657 6.608 6.608 0 0 0 1.882 4.723 6.891 6.891 0 0 0 4.725 2.07h.143c1.41.072 2.8-.354 3.917-1.2a5.77 5.77 0 0 0 2.172-3.41l.043-.117H12.22v-3.41h9.678c.075.617.109 1.238.1 1.859-.099 5.741-4.017 9.6-9.746 9.6l-.215-.002Z"
                                    clip-rule="evenodd"
                            />
                        </svg>

                        Sign In With Google
                    </a>
                </div>
            </div>
            <div class="col-span-12 lg:col-span-6">
                <img
                        class="block dark:hidden"
                        th:src="@{'/img/hero-img.svg'}"
                        alt="hero image"
                />
                <img
                        class="hidden dark:block"
                        th:src="@{'/img/hero-img-dark.svg'}"
                        alt="hero image"
                />
            </div>
        </div>
    </div>
</div>
</body>
</html>
